# SPDX-FileCopyrightText: 2025 Maurice Debray <maurice.debray@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  name,
  pkgs,
  config,
  ...
}:
{
  services.forgejo-multiuser-nix-runners = {
    enable = true;

    url = "https://git.dgnum.eu";

    storePath = "/data/multiuser-nix";
    tokenFile = config.age.secrets."forgejo_runners-global_token_file".path;
    names = [
      "on-${name}"
      "nix"
    ];

    dependencies = [
      pkgs.tea
    ];

    containerOptions = [ "--cpus=4" ];

    nbRunners = 8;
  };

  virtualisation = {
    podman = {
      enable = true;

      defaultNetwork.settings = {
        dns_enable = true;
        ipv6_enabled = true;
      };
    };
  };
}
