# SPDX-FileCopyrightText: 2025 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ bootstrap, ... }:

let
  host = "docuseal.dgnum.eu";
  port = 2500;
in

{
  imports = [ ./module.nix ];

  nixpkgs.overlays = [
    (self: _: {
      docuseal = self.callPackage (bootstrap.root + "/pkgs/by-name/docuseal") { };
    })
  ];

  services.docuseal = {
    enable = true;

    inherit host port;
  };

  dgn-web.simpleProxies.docuseal = {
    inherit host port;
  };

  services.extranix.modules."DGNum Infrastructure".paths = [
    ./module.nix
  ];
}
