# SPDX-FileCopyrightText: 2024 Maurice Debray <maurice.debray@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  systemd.network = {
    networks = {
      "10-eno1" = {
        matchConfig.Name = [ "eno1" ];
        networkConfig = {
          Bridge = "vmbr0";
        };
      };

      "50-vmbr0" = {
        matchConfig.Name = "vmbr0";
        linkConfig.RequiredForOnline = "routable";
      };

      "50-vmbr1" = {
        matchConfig.Name = "vmbr1";
        linkConfig.RequiredForOnline = "routable";
        bridgeVLANs = [
          {
            VLAN = [
              "2510" # NAT
              "2501" # Managment
              "2520" # MW DMZ
              "2530" # HE DMZ
            ];
          }
        ];
      };
    };

    netdevs = {
      "50-vmbr0" = {
        netdevConfig = {
          Name = "vmbr0";
          Kind = "bridge";
        };
      };
      "50-vmbr1" = {
        netdevConfig = {
          Name = "vmbr1";
          Kind = "bridge";
        };
        bridgeConfig = {
          VLANFiltering = true;
        };
      };
    };
  };
}
