# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2
{
  config,
  pkgs,
  meta,
  name,
  nixpkgs,
  ...
}:
{
  services = {
    ollama = {
      enable = true;
      host = meta.network.${name}.netbirdIp;
      package = pkgs.callPackage ./package.nix {
        # HACK: Our GPU is not supported by cuda >= 12.0, and nixos-25.05 dropped cuda < 12.0
        cudaPackages = nixpkgs.nixos."24.11".cudaPackages_11;
        # We need to thread our nvidia x11 driver for CUDA.
        extraLibraries = [ config.hardware.nvidia.package ];
      };
    };
  };
}
