# SPDX-FileCopyrightText: 2024 Ryan Lahfa <ryan.lahfa@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ pkgs, ... }:
{
  environment.systemPackages = [
    ((pkgs.openai-whisper-cpp.override { cudaPackages = pkgs.cudaPackages_11; }).overrideAttrs (old: {
      src = pkgs.fetchFromGitHub {
        owner = "ggerganov";
        repo = "whisper.cpp";
        rev = "v1.7.1";
        hash = "sha256-EDFUVjud79ZRCzGbOh9L9NcXfN3ikvsqkVSOME9F9oo=";
      };
      env = {
        WHISPER_CUBLAS = "";
        GGML_CUDA = "1";
      };
      # We only need Compute Capability 3.7.
      CUDA_ARCH_FLAGS = [ "sm_37" ];
      # We are GPU-only anyway.
      patches = (old.patches or [ ]) ++ [
        ./no-weird-microarch.patch
        ./all-nvcc-arch.patch
      ];
    }))
  ];

}
