# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  imports = [
    ./annuaire.nix
    ./bocal.nix
    ./ernestophone.nix
    ./gestiobds.nix
    ./gestiocof.nix
    ./gestiojeux.nix
    ./interludes.nix
    ./wikiens.nix
  ];

  services.postgresql.settings = {
    # NOTE: Each concurrent Django request opens a DB connection,
    # by default, the maximum allowed is 100, which is too small whan a lot of requests come in
    max_connections = 512;
  };

  services.django-apps = {
    enable = true;

    webhook = {
      domain = "apps-webhook.dgnum.eu";

      nginx = {
        enableACME = true;
        forceSSL = true;
      };
    };
  };
}
